package com.yidian.shenghuoquan.border.manager

/**
 * author: yinjiacheng
 * date: 2021/8/21 12:43
 * description: 订单状态管理
 */
object OrderStatusManager {

  /**
   * 获取订单状态
   */
  fun getOrderStatus(status: Int): OrderStatus {
    return when (status) {
      0 -> OrderStatus.ORDER_STATUS_CONFIRM
      1 -> OrderStatus.ORDER_STATUS_PAID
      2 -> OrderStatus.ORDER_STATUS_WAIT_REFUND
      3 -> OrderStatus.ORDER_STATUS_ON_REFUND
      4 -> OrderStatus.ORDER_STATUS_REFUNDED
      5 -> OrderStatus.ORDER_STATUS_REFUSE_REFUND
      else -> OrderStatus.ORDER_STATUS_UNKNOWN
    }
  }
}

/**
 * 订单状态
 * e.g. 未知、确认中、已支付、待退款、退款中、已退款、拒绝退款
 */
enum class OrderStatus(val code: Int, val text: String) {
  ORDER_STATUS_UNKNOWN(-1, "未知"),
  ORDER_STATUS_CONFIRM(0, "确认中"),
  ORDER_STATUS_PAID(1, "已支付"),
  ORDER_STATUS_WAIT_REFUND(2, "待退款"),
  ORDER_STATUS_ON_REFUND(3, "退款中"),
  ORDER_STATUS_REFUNDED(4, "已退款"),
  ORDER_STATUS_REFUSE_REFUND(5, "已拒绝退款")
}
