package com.yidian.shenghuoquan.border.ui.widget

import android.content.Context
import android.util.AttributeSet
import android.view.View
import androidx.constraintlayout.widget.ConstraintLayout
import androidx.core.view.isVisible
import com.yidian.shenghuoquan.border.R
import com.yidian.shenghuoquan.border.databinding.BorderViewOrderStatusInfoBinding
import com.yidian.shenghuoquan.border.manager.OrderStatus

/**
 * author: yinjiacheng
 * date: 2021/8/21 09:57
 * description: 订单详情页-订单状态
 */
class OderStatusInfoView @JvmOverloads constructor(context: Context, attrs: AttributeSet? = null, defStyle: Int = 0) :
  ConstraintLayout(context, attrs, defStyle) {

  private val viewBinding =
    BorderViewOrderStatusInfoBinding.bind(View.inflate(getContext(), R.layout.border_view_order_status_info, this))

  /**
   * 设置订单状态
   */
  // TODO: 2021/8/21 传入退款金额
  fun setOrderStatus(status: OrderStatus) {
    viewBinding.tvOrderStatus.text = status.text
    when (status) {
      OrderStatus.ORDER_STATUS_UNKNOWN -> {
        viewBinding.ivOrderStatus.setImageResource(R.drawable.icon_order_status_paid)
      }
      OrderStatus.ORDER_STATUS_PAID -> {
        viewBinding.ivOrderStatus.setImageResource(R.drawable.icon_order_status_paid)
      }
      OrderStatus.ORDER_STATUS_WAIT_REFUND -> {
        viewBinding.ivOrderStatus.setImageResource(R.drawable.icon_order_status_wait_refund)
      }
      OrderStatus.ORDER_STATUS_ON_REFUND -> {
        viewBinding.ivOrderStatus.setImageResource(R.drawable.icon_order_status_on_refund)
      }
      OrderStatus.ORDER_STATUS_REFUNDED -> {
        viewBinding.ivOrderStatus.setImageResource(R.drawable.icon_order_status_refunded)
        viewBinding.tvOrderSubStatus.isVisible = true
        viewBinding.tvOrderSubStatus.text = "退款金额："
      }
      OrderStatus.ORDER_STATUS_REFUSE_REFUND -> {
        viewBinding.ivOrderStatus.setImageResource(R.drawable.icon_order_status_refuse_refund)
        viewBinding.tvOrderSubStatus.isVisible = true
        viewBinding.tvOrderSubStatus.text = "如有疑问请联系卖家"
      }
    }
  }


}
