package com.yidian.shenghuoquan.border.ui.widget

import android.content.Context
import android.util.AttributeSet
import android.view.View
import androidx.constraintlayout.widget.ConstraintLayout
import androidx.core.view.isVisible
import com.yidian.shenghuoquan.border.R
import com.yidian.shenghuoquan.border.databinding.BorderViewOrderPickupPointInfoBinding
import com.yidian.shenghuoquan.border.dto.PlaceList
import com.yidian.shenghuoquan.border.manager.OrderStatus
import java.util.*

/**
 * author: yinjiacheng
 * date: 2021/8/21 13:45
 * description: 订单自提点信息
 */
class OrderPickupPointInfoView @JvmOverloads constructor(context: Context, attrs: AttributeSet? = null, defStyle: Int = 0) :
  ConstraintLayout(context, attrs, defStyle) {

  private val viewBinding =
    BorderViewOrderPickupPointInfoBinding.bind(View.inflate(getContext(), R.layout.border_view_order_pickup_point_info, this))

  /**
   * 设置自提点
   * @param status 订单状态 确认订单时固定传ORDER_STATUS_CONFIRM
   * @param info 自提点信息
   */
  fun setPickupPoint(status: OrderStatus, info: PlaceList?) {
    // 订单状态除未知和确认中 自提点选择入口隐藏
    if (status != OrderStatus.ORDER_STATUS_UNKNOWN && status != OrderStatus.ORDER_STATUS_CONFIRM) {
      viewBinding.ivPickupPointSelect.isVisible = false
    }
    // 填充自提点信息
    info?.let {
      viewBinding.tvPickupPoint.isVisible = true
      viewBinding.tvPickupPointName.text = it.takePlaceName
      viewBinding.tvPickupPointAddress.isVisible = true
      viewBinding.tvPickupPointAddress.text = it.address
      viewBinding.tvPickupPointContact.isVisible = true
      viewBinding.tvPickupPointContact.text =
        String.format(Locale.getDefault(), resources.getString(R.string.pickup_point_contract), info.contactName, info.phone)
    }
  }
}
